%define upstream_name Horde_Kolab_Session
%define xmldir  %{_var}/lib/pear
%define peardir %(pear config-get php_dir 2> /dev/null)

Name: 		php-pear-%{upstream_name}
Version:     	1.1.0
Release:     	%mkrel 1
Summary:    	A package managing an active Kolab session
License:    	LGPL
Group:       	Networking/Mail
Url:         	http://pear.horde.org/package/%{upstream_name}
Source0:    	Source0: http://pear.horde.org/get/%{upstream_name}-%{version}.tgz
BuildArch:  	noarch
Requires:    	php-pear
Requires:  	php-pear-Horde_Exception <= 2.0.0 
Requires:  	php-pear-Horde_Kolab_Server <= 2.0.0 
Conflicts: 	php-pear-Horde_Exception = 2.0.0
Conflicts:  	php-pear-Horde_Kolab_Server = 2.0.0
BuildRequires:	php-pear
BuildRequires: 	php-pear-channel-horde
Provides:      	php-pear-Horde_Kolab_Session = %{version}


%description
This package handles a Kolab session. It allows to authenticate against
LDAP and provides the users storage locations.

%prep
%setup -c -T
pear -v -c pearrc \
        -d php_dir=%{peardir} \
        -d doc_dir=/docs \
        -d bin_dir=%{_bindir} \
        -d data_dir=%{peardir}/data \
        -d test_dir=%{peardir}/tests \
        -d ext_dir=%{_libdir} \
        -s

%build

%install
rm -rf %{buildroot}
pear -c pearrc install --nodeps --packagingroot %{buildroot} %{SOURCE0}
        
# Clean up unnecessary files
rm pearrc
rm %{buildroot}/%{peardir}/.filemap
rm %{buildroot}/%{peardir}/.lock
rm -rf %{buildroot}/%{peardir}/.registry
rm -rf %{buildroot}%{peardir}/.channels
rm %{buildroot}%{peardir}/.depdb
rm %{buildroot}%{peardir}/.depdblock



# Install XML package description
mkdir -p %{buildroot}%{xmldir}
tar -xzf %{SOURCE0} package.xml
cp -p package.xml %{buildroot}%{xmldir}/Horde_Kolab_Session.xml

%clean
rm -rf %{buildroot}

%post
pear install --nodeps --soft --force --register-only %{xmldir}/Horde_Kolab_Session.xml

%postun
if [ "$1" -eq "0" ]; then
    pear uninstall --nodeps --ignore-errors --register-only pear.horde.org/Horde_Kolab_Session
fi

%files
%defattr(-,root,root)
%{peardir}/Horde/Kolab/Session.php
%{peardir}/Horde/Kolab/Session/Abstract.php
%{peardir}/Horde/Kolab/Session/Base.php
%{peardir}/Horde/Kolab/Session/Decorator/Anonymous.php
%{peardir}/Horde/Kolab/Session/Decorator/Base.php
%{peardir}/Horde/Kolab/Session/Decorator/Logged.php
%{peardir}/Horde/Kolab/Session/Decorator/Stored.php
%{peardir}/Horde/Kolab/Session/Exception.php
%{peardir}/Horde/Kolab/Session/Exception/Badlogin.php
%{peardir}/Horde/Kolab/Session/Factory/Imap.php
%{peardir}/Horde/Kolab/Session/Imap.php
%{peardir}/Horde/Kolab/Session/Storage.php
%{peardir}/Horde/Kolab/Session/Storage/Mock.php
%{peardir}/Horde/Kolab/Session/Storage/Session.php
%{peardir}/Horde/Kolab/Session/Valid.php
%{peardir}/Horde/Kolab/Session/Valid/Base.php
%{peardir}/Horde/Kolab/Session/Valid/Decorator/Logged.php
%{peardir}/tests/Horde_Kolab_Session/Horde/Kolab/Session/AllTests.php
%{peardir}/tests/Horde_Kolab_Session/Horde/Kolab/Session/Autoload.php
%{peardir}/tests/Horde_Kolab_Session/Horde/Kolab/Session/Integration/AnonymousTest.php
%{peardir}/tests/Horde_Kolab_Session/Horde/Kolab/Session/Integration/ValidTest.php
%{peardir}/tests/Horde_Kolab_Session/Horde/Kolab/Session/TestCase.php
%{peardir}/tests/Horde_Kolab_Session/Horde/Kolab/Session/Unit/BaseTest.php
%{peardir}/tests/Horde_Kolab_Session/Horde/Kolab/Session/Unit/Decorator/AnonymousTest.php
%{peardir}/tests/Horde_Kolab_Session/Horde/Kolab/Session/Unit/Decorator/BaseTest.php
%{peardir}/tests/Horde_Kolab_Session/Horde/Kolab/Session/Unit/Decorator/LoggedTest.php
%{peardir}/tests/Horde_Kolab_Session/Horde/Kolab/Session/Unit/Decorator/StoredTest.php
%{peardir}/tests/Horde_Kolab_Session/Horde/Kolab/Session/Stub/Imap.php
%{peardir}/tests/Horde_Kolab_Session/Horde/Kolab/Session/Stub/ImapFactory.php
%{peardir}/tests/Horde_Kolab_Session/Horde/Kolab/Session/Unit/ImapTest.php
%{peardir}/tests/Horde_Kolab_Session/Horde/Kolab/Session/Unit/Storage/MockTest.php
%{peardir}/tests/Horde_Kolab_Session/Horde/Kolab/Session/Unit/Storage/SessionTest.php
%{peardir}/tests/Horde_Kolab_Session/Horde/Kolab/Session/Unit/Valid/BaseTest.php
%{peardir}/tests/Horde_Kolab_Session/Horde/Kolab/Session/Unit/Valid/Decorator/LoggedTest.php
%{peardir}/tests/Horde_Kolab_Session/Horde/Kolab/Session/phpunit.xml
%{xmldir}/Horde_Kolab_Session.xml




%changelog

* Sun Nov 06 2011 spuhler <spuhler> 1.1.0-1.mga2
+ Revision: 164520
- upgrade to 1.1.0
- changed Provides: php-pear-Horde_Kolab_Session to php-pear-Horde_Kolab_Session = %%{version}
- imported package php-pear-Horde_Kolab_Session

